Name:			pam_yubikey
Version:		1.1
Release:		0.1.beta1%{?dist}
Summary:		Yubikey module for PAM with local authentication

Group:			System Environment/Libraries
License:		GPLv2+
URL:			http://www.securixlive.com/yubipam/
Source0:		http://www.securixlive.com/download/yubipam/YubiPAM-%{version}-beta1.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This is a third-party Yubikey module for PAM provided by the YubiPAM project.
It differs from the Yubikey module for PAM provided by the Yubico company
(see package pam_yubico) in the fact that it maintains a local key database 
for authenticating users, i.e. it doesn't use Yubico validation servers.

%prep
%setup -q -n YubiPAM-%{version}-beta1


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/lib $RPM_BUILD_ROOT/%{_lib} || :
rm $RPM_BUILD_ROOT/%{_lib}/security/pam_yubikey.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README RELEASE.NOTES
/%{_lib}/security/pam_yubikey.so
/sbin/yk_chkpwd
/sbin/ykpasswd
%{_bindir}/ykvalidate
%{_bindir}/ykdump

%changelog
* Fri Feb 25 2011 Miloš Jakubíček <xjakub@fi.muni.cz> - 1.1-0.1.beta1
- Initial release
